# Created by pyp2rpm-3.3.5
%global pypi_name xarray-einstats
%bcond_with tests

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        %mkrel 1
Summary:        Stats, linear algebra and einops for xarray
Group:          Development/Python
License:        Apache-2.0
URL:            https://github.com/arviz-devs/xarray-einstats
Source0:        https://files.pythonhosted.org/packages/source/x/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(flit-core)

%if %{with tests}
# for tests
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(xarray)
# we don't have it
BuildRequires:  python3dist(numba)
%endif

%description
Stats, linear algebra and einops for xarray

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Stats, linear algebra and einops for xarray

%package -n python-%{pypi_name}-doc
Summary:        xarray documentation
%description -n python-%{pypi_name}-doc
Documentation for xarray-einstats

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files xarray_einstats


%if %{with tests}
%check
%pytest src/xarray_einstats/tests
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sat Dec 03 2022 papoteur <papoteur> 0.3.0-1.mga9
+ Revision: 1916058
- imported package python-xarray-einstats

